Skip to main content
POST
Schedule a build (create a BuildRun)

Authorizations

Authorization
string
header
required

Use a Bearer token for authentication. Submit the token using the Authorization header: Authorization: Bearer <token>.

Path Parameters

buildSpecId
string<uuid>
required

Response

The created BuildRun.

id
string<uuid>
required
buildSpecId
string<uuid>
required
specVersion
integer
required

The BuildSpec version this run executes (snapshotted at schedule time).

status
enum<string>
required
Available options:
Scheduled,
Exporting,
Claimable,
Running,
Produced,
Ingesting,
Finished,
Failed
kind
enum<string>
required

Whether this run ingests its output (Build) or presents it to the user (Preview).

Available options:
Build,
Preview
retries
integer
required
createdAt
string<date-time>
required

Timestamp of the BuildRun creation.

Example:

"2005-04-02T19:37:00.000Z"

updatedAt
string<date-time>
required

Timestamp of the BuildRun last update.

Example:

"2005-04-02T19:37:00.000Z"

errorMessage
string